Fonction Scilab
Last update : 00/00/0000

macr2tree - conversion d'une fonction en arbre

### Calling Sequence

  `t=macr2tree(nom-de-fonction)`

### Parameters

- `nom-de-fonction`: une macro Scilab
- `t`: un "arbre" Scilab

### Description

Cette primitive convertit une fonction compilée de Scilab `nom-de-fonction` en arbre (tlists imbriquées) qui code la représentation interne de la fonction. A utiliser avec `tree2code`.

### Examples

    tree=macr2tree(cosh);
    txt=tree2code(tree,%T);
    write(%io(2),txt,'(a)');

### See Also

`tree2code`,

### Authors

  V.C.